%global forgeurl https://github.com/enthought/sat-solver
Name:           python-simplesat
Version:        0.9.2
%forgemeta
Release:        %autorelease
Summary:        Simple SAT solvers
BuildArch:      noarch
License:        BSD

URL:            https://github.com/enthought/sat-solver
Source0:        %forgesource

BuildRequires:  git python3-devel python3-setuptools

%description
Simple SAT solvers for use in Enstaller.


%package -n     python3-simplesat
Summary:        %{summary}
Requires:       okonomiyaki-python3
Provides:       simplesat

%description -n python3-simplesat
Simple SAT solvers for use in Enstaller.


%prep
%forgesetup

%build
%py3_build


%install
%py3_install


%files -n python3-simplesat
%license LICENSE.txt
%doc README.rst docs
%{python3_sitelib}/*


%changelog
* Sun Dec 05 2021 Cristian Balint <cristian.balint@gmail.com>
- github upstream releases
